import 'package:get/get.dart';

class LabRecordInfoState {
  final _title = "".obs;
  set title(value) => _title.value = value;
  get title => _title.value;

  final _birthdayAge = "".obs;
  set birthdayAge(value) => _birthdayAge.value = value;
  get birthdayAge => _birthdayAge.value;

  final Rx<DateTime?> _birthday = Rx<DateTime?>(null);
  set birthday(value) => _birthday.value = value;
  get birthday => _birthday.value;

  final RxList<String> _tabLists = RxList(<String>[]);

  ///选中标签列表
  List<String> get tabLists => _tabLists;
  set tabLists(List<String> value) => _tabLists.value = value;

  final RxBool _isPerson = false.obs;

  bool get isPerson => _isPerson.value;
  set isPerson(bool value) => _isPerson.value = value;

  /// 种类
  final Rx<String?> _species = Rx(null);
  set species(value) => _species.value = value;
  get species => _species.value;

  // breed
  final Rx<String?> _breed = Rx(null);
  set breed(value) => _breed.value = value;
  get breed => _breed.value;

  // 主人
  final Rx<String?> _owner = Rx(null);
  set owner(value) => _owner.value = value;
  get owner => _owner.value;

  /// 性别
  final Rx<String?> _sex = Rx(null);
  set sex(value) => _sex.value = value;
  get sex => _sex.value;
}
